
%global meadversion 6
%global namedversion 4.2.1.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 12

%bcond_without mead

%define namedreltagproject %(echo %{meadalpha} | sed 's|_|-|' | sed 's|.|-|')
%define namedreltag %(echo %{meadalpha} | sed 's|_|-|')

%global projectversion 6
%global httpcoreversion 4.2.1
%global httpclientversion 4.2.1
%global httpasyncclientversion 4.0

%global projectnamedversion %{projectversion}%{?namedreltagproject}
%global httpcorenamedversion %{httpcoreversion}%{?namedreltag}
%global httpclientnamedversion %{httpclientversion}%{?namedreltag}

%global httpasyncclientreltag .beta1
%global httpasyncclientrelease %{serial}%{?httpasyncclientreltag}%{meadalpha}%{meadrel}%{?dist}
%global httpasyncclientnamedreltag -beta1
%global httpasyncclientnamedversion %{httpasyncclientversion}%{?httpasyncclientnamedreltag}%{?namedreltagproject}

%global javadir %{_javadir}/httpcomponents%{?eap}
%global eap -eap6

%define maven_version 6-redhat-2

Name:           httpcomponents%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Components to build HTTP enabled services
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: project-6-redhat-2-scm-sources.zip
Source101: project-6-redhat-2-patches.zip
Source102: httpmime-4.2.1.redhat-2-site.xml
Source103: httpmime-4.2.1.redhat-2.jar
Source104: httpmime-4.2.1.redhat-2-javadoc.jar
Source105: httpmime-4.2.1.redhat-2-sources.jar
Source106: httpmime-4.2.1.redhat-2.pom
Source107: httpasyncclient-4.0-beta1-redhat-2-javadoc.jar
Source108: httpasyncclient-4.0-beta1-redhat-2-sources.jar
Source109: httpasyncclient-4.0-beta1-redhat-2.pom
Source110: httpasyncclient-4.0-beta1-redhat-2-site.xml
Source111: httpasyncclient-4.0-beta1-redhat-2.jar
Source112: httpcore-4.2.1.redhat-2-site.xml
Source113: httpcore-4.2.1.redhat-2-javadoc.jar
Source114: httpcore-4.2.1.redhat-2.jar
Source115: httpcore-4.2.1.redhat-2.pom
Source116: httpcore-4.2.1.redhat-2-sources.jar
Source117: httpclient-cache-4.2.1.redhat-2.jar
Source118: httpclient-cache-4.2.1.redhat-2.pom
Source119: httpclient-cache-4.2.1.redhat-2-sources.jar
Source120: httpclient-cache-4.2.1.redhat-2-site.xml
Source121: httpclient-cache-4.2.1.redhat-2-javadoc.jar
Source122: httpasyncclient-osgi-4.0-beta1-redhat-2.jar
Source123: httpasyncclient-osgi-4.0-beta1-redhat-2-sources.jar
Source124: httpasyncclient-osgi-4.0-beta1-redhat-2.pom
Source125: httpcomponents-asyncclient-4.0-beta1-redhat-2-site.xml
Source126: httpcomponents-asyncclient-4.0-beta1-redhat-2.pom
Source127: httpcomponents-client-4.2.1.redhat-2.pom
Source128: httpcomponents-client-4.2.1.redhat-2-site.xml
Source129: httpclient-4.2.1.redhat-2-javadoc.jar
Source130: httpclient-4.2.1.redhat-2-site.xml
Source131: httpclient-4.2.1.redhat-2-tests.jar
Source132: httpclient-4.2.1.redhat-2.jar
Source133: httpclient-4.2.1.redhat-2-sources.jar
Source134: httpclient-4.2.1.redhat-2.pom
Source135: fluent-hc-4.2.1.redhat-2-javadoc.jar
Source136: fluent-hc-4.2.1.redhat-2.jar
Source137: fluent-hc-4.2.1.redhat-2-sources.jar
Source138: fluent-hc-4.2.1.redhat-2-site.xml
Source139: fluent-hc-4.2.1.redhat-2.pom
Source140: httpcore-nio-4.2.1.redhat-2-site.xml
Source141: httpcore-nio-4.2.1.redhat-2-sources.jar
Source142: httpcore-nio-4.2.1.redhat-2-javadoc.jar
Source143: httpcore-nio-4.2.1.redhat-2.jar
Source144: httpcore-nio-4.2.1.redhat-2.pom
Source145: project-6-redhat-2-javadoc.jar
Source146: project-6-redhat-2.pom
Source147: project-6-redhat-2-site.xml
Source148: httpcore-osgi-4.2.1.redhat-2.jar
Source149: httpcore-osgi-4.2.1.redhat-2.pom
Source150: httpcore-osgi-4.2.1.redhat-2-sources.jar
Source151: httpcore-ab-4.2.1.redhat-2.jar
Source152: httpcore-ab-4.2.1.redhat-2.pom
Source153: httpcore-ab-4.2.1.redhat-2-sources.jar
Source154: httpcore-ab-4.2.1.redhat-2-javadoc.jar
Source155: httpclient-osgi-4.2.1.redhat-2-sources.jar
Source156: httpclient-osgi-4.2.1.redhat-2.jar
Source157: httpclient-osgi-4.2.1.redhat-2.pom
Source158: httpcomponents-core-4.2.1.redhat-2-site.xml
Source159: httpcomponents-core-4.2.1.redhat-2.pom
%endif

URL:            http://hc.apache.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/httpcomponents-%{namedversion}-%{release}-root

%description
The Hyper-Text Transfer Protocol (HTTP) is perhaps the most significant protocol
used on the Internet today. Web services, network-enabled appliances and the
growth of network computing continue to expand the role of the HTTP protocol
beyond user-driven web browsers, while increasing the number of applications
that require HTTP support.

Designed for extension while providing robust support for the base HTTP
protocol, the HttpComponents may be of interest to anyone building HTTP-aware
client and server applications such as web browsers, web spiders, HTTP proxies,
web service transport libraries, or systems that leverage or extend the HTTP
protocol for distributed communication.

%package -n httpcomponents-project%{?eap}
Version:        %{projectversion}
Summary:        HttpComponents
Group:          Development/Java

%if 0
Obsoletes:      hc-project < %{epoch}:%{projectversion}-%{release}
Provides:       hc-project = %{epoch}:%{projectversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n httpcomponents-project%{?eap}
Components to build HTTP enabled services.

%package -n httpcomponents-core%{?eap}
Version:        %{httpcoreversion}
Summary:        HttpComponents Core
Group:          Development/Java

%if 0
Obsoletes:      jakarta-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       jakarta-httpcore = %{epoch}:%{httpcoreversion}-%{release}
Obsoletes:      hc-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       hc-httpcore = %{epoch}:%{httpcoreversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-project%{?eap} = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-core%{?eap}
Core components to build HTTP enabled services.

%package -n httpcore%{?eap}
Version:        %{httpcoreversion}
Summary:        HttpCore
Group:          Development/Java

%if 0
Obsoletes:      httpcomponents-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       httpcomponents-httpcore = %{epoch}:%{httpcoreversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore%{?eap}
HttpComponents Core (blocking I/O).

%package -n httpcore-ab%{?eap}
Version:        %{httpclientversion}
Summary:        HttpCore AB clone
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
# FIXME: Requires commons-cli:commons-cli:1.2

%description -n httpcore-ab%{?eap}
AB clone based on HttpCore.

%package -n httpcore-nio%{?eap}
Version:        %{httpclientversion}
Summary:        HttpCore NIO
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore-nio%{?eap}
HttpComponents Core (non-blocking I/O).

%package -n httpcore-osgi%{?eap}
Version:        %{httpclientversion}
Summary:        HttpCore OSGi bundle
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore-nio%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore-osgi%{?eap}
HttpComponents Core (OSGi bundle).

%package -n httpcomponents-client%{?eap}
Version:        %{httpclientversion}
Summary:        HttpComponents Client
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-project%{?eap} = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-client%{?eap}
Apache HttpComponents Client is a library of components for building client side
HTTP services.

%package -n httpclient%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient
Group:          Development/Java

%if 0
Obsoletes:      hc-httpclient < %{epoch}:%{httpclientversion}-%{release}
Provides:       hc-httpclient = %{epoch}:%{httpclientversion}-%{release}
Obsoletes:      httpcomponents-httpclient < %{epoch}:%{httpclientversion}-%{release}
Provides:       httpcomponents-httpclient = %{epoch}:%{httpclientversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
# FIXME: Requires commons-codec:commons-codec:1.6
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpclient%{?eap}
HttpComponents Client (base module).

%package -n httpclient-cache%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient Cache
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpclient-cache%{?eap}
HttpComponents HttpClient - Cache.

%package -n httpclient-osgi%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient OSGi bundle
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-codec:commons-codec:1.6
Requires:       httpmime%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpclient-cache%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       fluent-hc%{?eap} = %{epoch}:%{httpclientversion}-%{release}

%description -n httpclient-osgi%{?eap}
HttpComponents Client (OSGi bundle).

%package -n httpclient-tests%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient tests
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}

%description -n httpclient-tests%{?eap}
HttpClient tests.

%package -n fluent-hc%{?eap}
Version:        %{httpclientversion}
Summary:        Fluent HttpClient
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n fluent-hc%{?eap}
HttpComponents Client fluent API.

%package -n httpmime%{?eap}
Summary:        HttpMime
Version:        %{httpclientversion}
Group:          Development/Java

%if 0
Obsoletes:      httpcomponents-httpmime < %{epoch}:%{httpcoreversion}-%{release}
Provides:       httpcomponents-httpmime = %{epoch}:%{httpcoreversion}-%{release}
%endif
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpmime%{?eap}
HttpComponents HttpClient - MIME coded entities.

%package -n httpcomponents-asyncclient%{?eap}
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpComponents AsyncClient
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-project%{?eap} = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-asyncclient%{?eap}
Components to build asynchronous client side HTTP services.

%package -n httpasyncclient%{?eap}
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpAsyncClient
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# XXX: 4.0-beta1
Requires:       httpcomponents-asyncclient%{?eap} = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore-nio%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpasyncclient%{?eap}
HttpComponents AsyncClient (base module).

%package -n httpasyncclient-osgi%{?eap}
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpAsyncClient OSGi bundle
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# XXX: 4.0-beta1
Requires:       httpcomponents-asyncclient%{?eap} = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}
Requires:       httpasyncclient%{?eap} = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}

%description -n httpasyncclient-osgi%{?eap}
HttpComponents AsyncClient (OSGi bundle).

%prep
%setup -q -n project -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}.jar %{buildroot}%{javadir}/httpcore-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}-sources.jar %{buildroot}%{javadir}/httpcore-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}.jar %{buildroot}%{javadir}/httpcore-ab-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}-sources.jar %{buildroot}%{javadir}/httpcore-ab-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}.jar %{buildroot}%{javadir}/httpcore-nio-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}-sources.jar %{buildroot}%{javadir}/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}.jar %{buildroot}%{javadir}/httpcore-osgi-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar %{buildroot}%{javadir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/httpclient-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpclient-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-tests.jar %{buildroot}%{javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/httpclient-cache-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/httpclient-osgi-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/fluent-hc-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/fluent-hc-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}.jar %{buildroot}%{javadir}/httpmime-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpmime-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml %{buildroot}%{javadir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}.jar %{buildroot}%{javadir}/httpasyncclient-%{httpasyncclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar %{buildroot}%{javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar %{buildroot}%{javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{httpcorenamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpcorenamedversion}||g"`; done)
[ "%{httpcorenamedversion}" = "%{httpclientnamedversion}" ] || (cd %{buildroot}%{javadir} && for jar in *-%{httpclientnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpclientnamedversion}||g"`; done)
[ "%{httpcorenamedversion}" = "%{httpasyncclientnamedversion}" ] || (cd %{buildroot}%{javadir} && for jar in *-%{httpasyncclientnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpasyncclientnamedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n httpcomponents-project%{?eap}
%defattr(0644,root,root,0755)
%if 0
%doc project/KEYS project/LICENSE.txt project/NOTICE.txt project/jakarta-httpcomponents-charter.txt
%else
%doc KEYS LICENSE.txt NOTICE.txt jakarta-httpcomponents-charter.txt
%endif
%dir %{_javadir}/httpcomponents%{?eap}

%files -n httpcomponents-core%{?eap}
%defattr(0644,root,root,0755)

%files -n httpcore%{?eap}
%defattr(0644,root,root,0755)
%if 0
%doc httpcore/BUILDING.txt httpcore/LICENSE.txt httpcore/NOTICE.txt httpcore/README.txt httpcore/RELEASE_NOTES.txt
%endif
%{javadir}/httpcore-%{httpcorenamedversion}.jar
%{javadir}/httpcore.jar
%{javadir}/httpcore-%{httpcorenamedversion}-sources.jar
%{javadir}/httpcore-sources.jar

%files -n httpcore-ab%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpcore-ab-%{httpcorenamedversion}.jar
%{javadir}/httpcore-ab.jar
%{javadir}/httpcore-ab-%{httpcorenamedversion}-sources.jar
%{javadir}/httpcore-ab-sources.jar

%files -n httpcore-nio%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpcore-nio-%{httpcorenamedversion}.jar
%{javadir}/httpcore-nio.jar
%{javadir}/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{javadir}/httpcore-nio-sources.jar

%files -n httpcore-osgi%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpcore-osgi-%{httpcorenamedversion}.jar
%{javadir}/httpcore-osgi.jar
%{javadir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{javadir}/httpcore-osgi-sources.jar

%files -n httpcomponents-client%{?eap}
%defattr(0644,root,root,0755)

%files -n httpclient%{?eap}
%defattr(0644,root,root,0755)
%if 0
%doc httpclient/BUILDING.txt httpclient/LICENSE.txt httpclient/NOTICE.txt httpclient/README.txt httpclient/RELEASE_NOTES.txt
%endif
%{javadir}/httpclient-%{httpclientnamedversion}.jar
%{javadir}/httpclient.jar
%{javadir}/httpclient-%{httpclientnamedversion}-sources.jar
%{javadir}/httpclient-sources.jar
%exclude %{javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%exclude %{javadir}/httpclient-tests.jar

%files -n httpclient-cache%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpclient-cache-%{httpclientnamedversion}.jar
%{javadir}/httpclient-cache.jar
%{javadir}/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{javadir}/httpclient-cache-sources.jar

%files -n httpclient-osgi%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpclient-osgi-%{httpclientnamedversion}.jar
%{javadir}/httpclient-osgi.jar
%{javadir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{javadir}/httpclient-osgi-sources.jar

%files -n httpclient-tests%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%{javadir}/httpclient-tests.jar

%files -n fluent-hc%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/fluent-hc-%{httpclientnamedversion}.jar
%{javadir}/fluent-hc.jar
%{javadir}/fluent-hc-%{httpclientnamedversion}-sources.jar
%{javadir}/fluent-hc-sources.jar

%files -n httpmime%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpmime-%{httpclientnamedversion}.jar
%{javadir}/httpmime.jar
%{javadir}/httpmime-%{httpclientnamedversion}-sources.jar
%{javadir}/httpmime-sources.jar

%files -n httpcomponents-asyncclient%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml
%{javadir}/httpcomponents-asyncclient-site.xml

%files -n httpasyncclient%{?eap}
%defattr(0644,root,root,0755)
%if 0
%doc httpasyncclient/BUILDING.txt httpasyncclient/LICENSE.txt httpasyncclient/NOTICE.txt httpasyncclient/README.txt httpasyncclient/RELEASE_NOTES.txt
%endif
%{javadir}/httpasyncclient-%{httpasyncclientnamedversion}.jar
%{javadir}/httpasyncclient.jar
%{javadir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar
%{javadir}/httpasyncclient-sources.jar

%files -n httpasyncclient-osgi%{?eap}
%defattr(0644,root,root,0755)
%{javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar
%{javadir}/httpasyncclient-osgi.jar
%{javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar
%{javadir}/httpasyncclient-osgi-sources.jar

%changelog
* Wed Aug 27 2014 David Walluck <dwalluck@redhat.com> 0:6-11.redhat_2.1
- remove maven support
- fix dir ownership

* Mon Aug 25 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 6-10.redhat_2.1
- BZ:1129138 CVE-2012-6153, CVE-2014-3577 httpclient: hostname verification susceptible to MITM attack

* Thu May 15 2014 David Walluck <dwalluck@redhat.com> - 6-10.redhat_1.3
- Bump release tag

* Wed May 14 2014 David Walluck <dwalluck@redhat.com> - 6-1.redhat_1.3
- release
